Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.config.java.process
Class ConfigurationPostProcessor

    java.lang.Object
      org.springframework.config.java.process.ConfigurationPostProcessor

All Implemented Interfaces:
  org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.context.ApplicationContextAware, org.springframework.core.Ordered

    public class ConfigurationPostProcessor

extends java.lang.Object
implements org.springframework.core.Ordered, org.springframework.context.ApplicationContextAware, org.springframework.beans.factory.config.BeanFactoryPostProcessor

TODO: JAVADOC

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`ConfigurationPostProcessor()`

Method Summary
`int` | `getOrder()`
`void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext ctx)`
`void` | `setBeanNamingStrategy(BeanNamingStrategy namingStrategy)`
`void` | `setNamingStrategy(BeanNamingStrategy namingStrategy)` Deprecated. Use `setBeanNamingStrategy(BeanNamingStrategy)` instead

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationPostProcessor

    public ConfigurationPostProcessor()

Method Detail

### postProcessBeanFactory

    public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                throws org.springframework.beans.BeansException

  Specified by:
    `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
  Throws:
    `org.springframework.beans.BeansException`

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext ctx)
                               throws org.springframework.beans.BeansException

  Specified by:
    `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
  Throws:
    `org.springframework.beans.BeansException`

### getOrder

    public int getOrder()

  Specified by:
    `getOrder` in interface `org.springframework.core.Ordered`

### setNamingStrategy

    @Deprecated
    public void setNamingStrategy(BeanNamingStrategy namingStrategy)

  Deprecated. Use `setBeanNamingStrategy(BeanNamingStrategy)` instead

  In place for backward-compatibility with existing milestone releases.

### setBeanNamingStrategy

    public void setBeanNamingStrategy(BeanNamingStrategy namingStrategy)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD